/* DATQ  Copyright 2003 Fenland Software Ltd                         */
/*                                                                   */

#ifndef _DATQ_H
#define _DATQ_H

#include <stdio.h>
#include <string.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <signal.h>
#include <unistd.h>
#include <errno.h>

struct DQ_lock {
pid_t monitor_pid;
};

struct DQ_hdr {
unsigned long last_wrtn;
unsigned long next_read;
unsigned long last_delt;
unsigned long reclen;
unsigned long dtalen;
unsigned int queue_len;
};

struct DQ_rec {
unsigned long prev_rec;
unsigned long next_rec;
};

/* signals to be caught */

#define ANSISIGS  SIGABRT, SIGFPE, SIGILL, SIGINT, SIGSEGV, SIGTERM
#define UNIXSIGS  SIGHUP, SIGQUIT, SIGALRM, SIGPIPE 
#define CATCHSIGS ANSISIGS, UNIXSIGS

#endif
